# Procédure d'installation GTF sous linux

## Prérequis

  L'installation est validée pour les distributions de type Debian (>=8) ou Ubuntu

  Les commandes dans la documentation suivante sont exécutées avec un compte administrateur ou un utilisateur possédant les
  droits privilèges Administrateur.

  Une taille de 8 go est requise dans le cadre d'une installation GTF/FME Desktop

> Dans la suite de la documentation, les commandes sont décrites sous un compte administrateur (root). Dans le cas où un utilisateur privilège  est utilisé, les commandes seront précédées par sudo.

## Mise à jour des paquets

La mise à jour des dépôts linux permet de récupérer la dernière version des composants à installer, à savoir:
* Apache
* PostgreSql


    apt-get update && apt-get upgrade

## Installation de Apache

    apt-get install apache2

## Configuration du module ssl   

  Dans le cadre d'une connexion sécurisé, merci de vous reporter à la documentation suivante : [Configuration SSL](http://www.veremes.com/configuration-ssl-apache)

  Comme indiqué, Veremes fournit des certificats SSL par défaut. Ces fichiers de configuration peuvent être récupérés par les commandes suivantes:

    wget http://freedownload.veremes.net/products/util/ssl_certificats/server.key
    wget http://freedownload.veremes.net/products/util/ssl_certificats/server.crt


  Afin de terminer la procédure d'installation, vérifier que le mode ssl est bien activé.

     a2enmod ssl
     Module ssl already enabled

## Installation de Postgresql

    apt-get install postgresql

Pour des raisons de sécurité, il est nécessaire de modifier le mot de passe de l'utilisateur postgres.

    su -postgres
    psql
    ALTER USER postgres WITH PASSWORD '<password>'
    \q
    exit
où <password> est un mot de passe alphanumérique de 8 caractères minimum (préconisation).


## Installation de l'application GTF

Pour installer GTF, il faut télécharger l’installateur sur le site http://download.veremes.com, dans le répertoire gtf/gtfaaaa (où aaaa représente le millésime). Les codes d’accès (login et password) sont fournis par e-mail à la suite d’une commande ou demande d’évaluation.

Ces informations peuvent être renvoyées sur simple demande à codes@veremes.com.


    cd /tmp
    mkdir Installation
    cd Installation
    wget http://download.veremes.net/products/gtf/setup_gtf-xxx-linux.zip --user <user> --password <password>

où  <user\> et  <password\> seront transmis lors de l'installation.


    cd /tmp/installation
    chmod -R 755 *

Editer le fichier install.sh afin de définir les paramètres de votre installation. Les variables à modifier pour l’installation sont :

* Répertoire d'installation
> dir='répertoire d'installation de l'application GTF'

* Paramètre pour la connexion au SGBD
> serveur='adresse du serveur postgres'
>
> port='port du serveur postgres'

* Nom de la base de données (vitis crée par défaut)
> bdd='base de données'

* Compte SUPERUSER sur le SGBD
> dblogin='utilisateur'

* Mot de passe du compte SUPERUSER
> dbpswd='mot de passe'

* Compte Administrateur de l'application
> appAdmin=admin
* Son mot de passe
> appPswd=test

L’installateur assure les opérations suivantes :

* Copie du code du Serveur d’Application Vitis
* Installation du PHP
* Configuration du serveur HTTPS Apache
* Création de la base de données dans PostgreSql
* Création d’un compte administrateur dans PostgreSql

Exécuter le script install.sh pour lancer l’installation.

     ./install.sh

Attendre une minute environ pour obtenir un retour console.

Un rapport d’installation install_report_dd-mm-yyyy.txt est généré dans le répertoire de téléchargement des ressources, il permet de savoir si l’installation s’est déroulée correctement.


## Test de connexion à GTF

Le procédure de validation applicative est disponible à l'adresse suivante:
[Initialisation du compte Administrateur](https://gitlab.veremes.net/Documentation/doc_app_gtf/blob/master/installation/windows/initialisation_admin.md#Test_de_Connexion_du_compte_administrateur)
